{
    "fields": [
        {
            "doc": "Key of group of the Complex Header Line, e.g. INFO, FORMAT, FILTER, ALT, ...",
            "name": "key",
            "type": "string"
        },
        {
            "doc": "ID or Name of the line",
            "name": "id",
            "type": "string"
        },
        {
            "default": null,
            "doc": "The description",
            "name": "description",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "default": null,
            "doc": "Arity of the values associated with this metadata line.\n        Only present if the metadata line describes data fields, i.e. key == INFO or FORMAT\n        Accepted values:\n          - <Integer>: The field has always this number of values.\n          - A: The field has one value per alternate allele.\n          - R: The field has one value for each possible allele, including the reference.\n          - G: The field has one value for each possible genotype\n          - .: The number of possible values varies, is unknown or unbounded.",
            "name": "number",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "default": null,
            "doc": "Type of the values associated with this metadata line.\n        Only present if the metadata line describes data fields, i.e. key == INFO or FORMAT\n        Accepted values:\n          - Integer\n          - Float\n          - String\n          - Character\n          - Flag",
            "name": "type",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "default": {},
            "doc": "Other optional fields",
            "name": "genericFields",
            "type": {
                "type": "map",
                "values": "string"
            }
        }
    ],
    "name": "VariantFileHeaderComplexLine",
    "namespace": "org.opencb.biodata.models.variant.metadata",
    "type": "record"
}